Bug 1261998 - visudo accept non valid content
Summary: visudo accept non valid content
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sudo
Version: 7.1
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: rc
: ---
Assignee: Daniel Kopeček
QA Contact: Stefan Kremen
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-10 14:53 UTC by Zbynek Moravec
Modified: 2016-11-03 20:31 UTC (History)
5 users (show)

Fixed In Version: sudo-1.8.6p7-18.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:31:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
patch that resolves acceptation of incorrect sudoers file in visudo (690 bytes, patch)
2015-09-15 11:42 UTC, Radovan Sroka
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2593 normal SHIPPED_LIVE Low: sudo security, bug fix, and enhancement update 2016-11-03 12:10:56 UTC

Description Zbynek Moravec 2015-09-10 14:53:31 UTC
Description of problem:

Version-Release number of selected component (if applicable):
sudo-1.8.6p7-13.el7.x86_64
How reproducible:


Steps to Reproduce:
1. $ sudo visudo
2. do some syntax error in the file
3. :wq 
4. you will get "visudo: >>> /etc/sudoers: syntax error near line 119 <<<"
6. type "e" to edit again
5. :wq
6. $ sudo
7. you will get "sudo: >>> /etc/sudoers: syntax error near line 119 <<<"

Actual results:
You will get sudoers with syntax error

Expected results:
File with syntax error should not be saved.

Comment 2 Daniel Kopeček 2015-09-10 15:04:55 UTC
Reproduced. It's too late for 7.3, so I'll fix that in rhel-7.3.

Comment 3 Radovan Sroka 2015-09-15 11:42:42 UTC
Created attachment 1073595 [details]
patch that resolves acceptation of incorrect sudoers file in visudo

Comment 8 errata-xmlrpc 2016-11-03 20:31:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2593.html


Note You need to log in before you can comment on or make changes to this bug.